//
//  MyClass3.swift
//  StrongReferenceCycleProject
//
//  Created by Jon Hoffman on 12/22/14.
//  Copyright (c) 2014 Jon Hoffman. All rights reserved.
//

import Foundation

class MyClass1_Unowned {
    var name = ""
    unowned let class2: MyClass2_Unowned
    init(name: String, class2: MyClass2_Unowned) {
        self.name = name
        self.class2 = class2
        print("Inicjalizacja egzemplarza klasy class1_Unowned o nazwie \(self.name)")
    }
    deinit {
        print("Usunięcie egzemplarza klasy class1_Unowned o nazwie \(self.name)")
    }
    
}
